Delete Number Range
curl --request DELETE \
--url https://api.jtl-cloud.com/erp/v1/configuration/numberRanges/{numberRangeId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/configuration/numberRanges/{numberRangeId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/configuration/numberRanges/{numberRangeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Master Data
Delete Number Range
Delete a NumberRange, but only Deletable Numberranges
DELETE
/
v1
/
configuration
/
numberRanges
/
{numberRangeId}
Delete Number Range
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the NumberRange Schlüssel für einen Nummernkreis Datensatz
Response
The NumberRange is deleted
Was this page helpful?
⌘I